Control Plane APIMaintenance windows
GET
/v1/maintenance-windows

Retrieve a list of maintenance windows.

Query Parameters

status?string

Filter windows by status @example MAINTENANCE_STATUS_SCHEDULED

Default"MAINTENANCE_STATUS_UNSPECIFIED"

Value in

  • "MAINTENANCE_STATUS_UNSPECIFIED"
  • "MAINTENANCE_STATUS_SCHEDULED"
  • "MAINTENANCE_STATUS_ACTIVE"
  • "MAINTENANCE_STATUS_COMPLETED"
  • "MAINTENANCE_STATUS_CANCELLED"

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/maintenance-windows"
{  "maintenanceWindows": [    {      "createdAt": "2019-08-24T14:15:22Z",      "customerMessage": "string",      "endedAt": "2019-08-24T14:15:22Z",      "id": "string",      "impactedApplications": [        {          "applicationId": "string",          "applicationName": "string",          "capabilities": [            {              "id": "string",              "name": "string"            }          ]        }      ],      "internalDescription": "string",      "scheduledEndAt": "2019-08-24T14:15:22Z",      "scheduledStartAt": "2019-08-24T14:15:22Z",      "startedAt": "2019-08-24T14:15:22Z",      "status": "MAINTENANCE_STATUS_UNSPECIFIED",      "title": "string",      "updatedAt": "2019-08-24T14:15:22Z",      "version": "string"    }  ]}